Subject: Re: [bug#53619] [PATCH 0/3] gnu: linux-libre: Build the snd-emu10k1 module.

From: Maxim Cournoyer <[email-masked]>
Date: Sun, 30 Jan 2022 23:45:36 -0500

Hi Leo,

Leo Famulari <[email-masked]> writes:

> On Sat, Jan 29, 2022 at 10:33:46PM -0500, Maxim Cournoyer wrote:
>> The unrelated changes appear just by running 'make oldconfig' on the
>> master branch:
>
> Understood. If you check the history of the kernel configs, you'll see
> that we try to avoid making unnecessary changes to them within a kernel
> series. I think that practice is an important source of stability for
> Guix System users.

OK!  Thanks for explaining this; I was wondering about which methodology
were used.  It's reasonable.

> So, could you try to make only the changes necessary to make
> your sound card work? You might have to manually edit the config files.
> That is something that we do.
>
> Examples of unnecessary changes:
>
>> -CONFIG_CC_VERSION_TEXT="gcc (GCC) 11.2.0"
>> +CONFIG_CC_VERSION_TEXT="gcc (GCC) 10.3.0"
>>  CONFIG_CC_IS_GCC=y
>> -CONFIG_GCC_VERSION=110200
>> +CONFIG_GCC_VERSION=100300
>>  CONFIG_CLANG_VERSION=0
>>  CONFIG_AS_IS_GNU=y
>> -CONFIG_AS_VERSION=23400
>> +CONFIG_AS_VERSION=23700
>>  CONFIG_LD_IS_BFD=y
>> -CONFIG_LD_VERSION=23400
>> +CONFIG_LD_VERSION=23700
>>  CONFIG_LLD_VERSION=0>>  CONFIG_CC_CAN_LINK=y
>>  CONFIG_CC_CAN_LINK_STATIC=y
>>  CONFIG_CC_HAS_ASM_GOTO=y
>> -CONFIG_CC_HAS_ASM_GOTO_OUTPUT=y
>>  CONFIG_CC_HAS_ASM_INLINE=y
>>  CONFIG_CC_HAS_NO_PROFILE_FN_ATTR=y
>>  CONFIG_IRQ_WORK=y

I've dropped that hunk for all touched config files, as well as all the
ones not about CONFIG_SND* options.

>> -CONFIG_X86_PLATFORM_DRIVERS_INTEL=y
>
>> -CONFIG_CC_HAS_ZERO_CALL_USED_REGS=y
>> -# CONFIG_ZERO_CALL_USED_REGS is not set
> ^
> This one disables a new security feature, we definitely don't want to
> disable that.

Ugh.  Not sure why 'make oldconfig' ends up with this.  You'll probably
want to be careful when running it for the next upgrade.

I've adjusted strategy and used grep & sed to add support for the
EMU10K1-based sound cards without the added noise of 'make oldconfig'.

It's interesting to note that EMU10K1 was already enabled for some
configs.

Thank you!

Maxim